//
//  UmShare.h
//  JZPlus_RN
//
//  Created by 丁乐 on 2020/6/4.
//

#import <Foundation/Foundation.h>
#import <React/RCTBridgeModule.h>
#import <React/RCTEventEmitter.h>

NS_ASSUME_NONNULL_BEGIN

@interface UmShare : RCTEventEmitter 

/**
*  获得从sso或者web端回调到本app的回调
*
*  @param url     第三方sdk的打开本app的回调的url
*  @param options 回调的参数
*
*  @return 是否处理  YES代表处理成功，NO代表不处理
*
*  @note 此函数在6.3版本加入
*/
+(BOOL)handleOpenURL:(NSURL *)url options:(NSDictionary*)options;



/**
*  UniversalLink回调到本app的回调
*
*  @param userActivity  NSUserActivity的入参
*  @param  options       可选的信息，目前传入nil
*
*  @return 是否处理  YES代表处理成功，NO代表不处理
*  @note 6.9.7版本加入
*/
+(BOOL)handleUniversalLink:(id)userActivity options:(NSDictionary*)options;

@end

NS_ASSUME_NONNULL_END
